Delete a comment
curl --request DELETE \
--url https://api.trycomp.ai/v1/comments/{commentId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"userId": "usr_abc123def456"
}
'const options = {
method: 'DELETE',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: 'usr_abc123def456'})
};
fetch('https://api.trycomp.ai/v1/comments/{commentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/comments/{commentId}"
payload = { "userId": "usr_abc123def456" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text){
"success": true,
"deletedCommentId": "cmt_abc123def456",
"message": "Comment deleted successfully"
}{
"message": "Unauthorized"
}{
"message": "Comment with ID cmt_abc123def456 not found"
}Comments
Delete a comment | Comp AI API
Delete a comment in Comp AI. Create and manage collaboration comments on compliance entities such as tasks, policies, risks, vendors, and findings.
DELETE
/
v1
/
comments
/
{commentId}
Delete a comment
curl --request DELETE \
--url https://api.trycomp.ai/v1/comments/{commentId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"userId": "usr_abc123def456"
}
'const options = {
method: 'DELETE',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: 'usr_abc123def456'})
};
fetch('https://api.trycomp.ai/v1/comments/{commentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/comments/{commentId}"
payload = { "userId": "usr_abc123def456" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text){
"success": true,
"deletedCommentId": "cmt_abc123def456",
"message": "Comment deleted successfully"
}{
"message": "Unauthorized"
}{
"message": "Comment with ID cmt_abc123def456 not found"
}Authorizations
API key for authentication
Path Parameters
Unique comment identifier
Example:
"cmt_abc123def456"
Body
application/json
Delete comment request body
User ID of the comment author (required for API key auth, ignored for JWT auth)
Example:
"usr_abc123def456"
Was this page helpful?

